package com.goldenwater.slgc.mapper.slgc;

import com.goldenwater.slgc.entity.slgc.DocCate;
import org.apache.ibatis.annotations.Mapper;
import java.util.List;

@Mapper
public interface DocCateMapper {
    /**
     * 查询文档分类列表
     */
    List<DocCate> selectList(DocCate docCate);

    /**
     * 根据主键查询文档分类
     */
    DocCate selectById(String id);

    /**
     * 新增文档分类
     */
    int insert(DocCate docCate);

    /**
     * 修改文档分类
     */
    int update(DocCate docCate);

    /**
     * 删除文档分类
     */
    int deleteById(String id);

    /**
     * 批量删除文档分类
     */
    int deleteByIds(String[] ids);

    /**
     * 根据父ID查询文档分类列表
     */
    List<DocCate> selectByParentId(String parentId);
}
